#!/usr/bin/perl
=pod

 Copyright 2014 Nokia Solutions and Networks
 All rights reserved.

 @file test_fpga_frame.pl
 @par REVISIONS
 <pre>
 Date       CoreID    SRID       Description
 ---------- --------- ---------- ---------------------------------------------
 09/05/14   kapusta              Initial Version
 07/11/14   bwheele1             Updated path to sysfs file
 
=cut

require 'test_tb.pl';

sub test_fpga_frame {
    test_start('fpga_frame');
    
    test_driverExistsInBus('fpga_frame', 'platform');
    test_classExists('fpga_frame');
    test_deviceInClassExists('fpga_frame', 'fpga_frame');
    test_nodeRead('/sys/class/fpga_frame/fpga_frame/frame');
    test_countInterrupts('frame', 1);

    return test_finish();
}
1;

